Subject: Re: Regarding consistent_alloc

From: Dan Malek <[email-masked]>
Date: Fri, 06 Dec 2002 11:56:22 -0500

Matt Porter wrote:

 > ....  If you
> want the kernel virtual address then you can apply __va to that.

Errr....no, you can't.  That would give you the cached mapping.
You need to hang on to both the dma_handle (the phys address token)
and the virtual address returned by the function.  That's why both
are returned.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/